<?php
/*------------------------------------------------------------------------
# JA Rochea for Joomla 1.5 - Version 1.4 - Licence Owner JA98521
# ------------------------------------------------------------------------
# Copyright (C) 2004-2008 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# This file may not be redistributed in whole or significant part.
-------------------------------------------------------------------------*/


defined( '_JEXEC' ) or die( 'Restricted access' );
defined( 'DS') || define( 'DS', DIRECTORY_SEPARATOR );
include_once (dirname(__FILE__).DS.'ja_vars.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="<?php echo JURI::base(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo JURI::base(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl();?>/css/editor.css" type="text/css" />
<link href="<?php echo $tmpTools->templateurl();?>/css/template.css" rel="stylesheet" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.script.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/mootools.v1.1.js"></script>
<?php $tmpTools->genMenuHead(); ?>



<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
#ja-subhead div.innerpad {
	background: none;
	filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $tmpTools->templateurl();?>/images/top-bg-narrow.png', sizingMethod='crop');
}
.wide #ja-subhead div.innerpad {
	background: none;
	filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $tmpTools->templateurl();?>/images/top-bg.png', sizingMethod='crop');
}

</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<link href="<?php echo $tmpTools->templateurl();?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">
<a name="Top" id="Top"></a>

<ul class="accessibility">
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="Skip to content">Skip to content</a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-mainnav" title="">Skip to main navigation</a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col1" title="">Skip to 1st column</a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col2" title="">Skip to 2nd column</a></li>
</ul>

<div id="ja-wrapper">

<!-- BEGIN: HEADER -->
<div id="ja-header">

	<div class="clearfix">
	<h1>
		<a href="index.php">
			<?php echo $tmpTools->sitename();?>
		</a>
	</h1>

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnavwrap">
	<div id="ja-mainnav">
	<?php
	$jamenu->genMenu(0);

	?>
	</div>

	<?php if ($tmpTools->getParam(JA_TOOL_USER)) {?>
	<div id="ja-usertoolswrap">
		<span class="ja-sitetool">&nbsp;</span>
		<div id="ja-usertools" style="left:<?php echo $ja_tool_left; ?>px">
			<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER)); ?>
		</div>
	</div>
	<?php } ?>
	</div>
	<!-- END: MAIN NAVIGATION -->

	<?php if ($hasSubnav) { ?>
	<div id="ja-subnav" class="clearfix">
		<?php $jamenu->genMenu(1,1); ?>
	</div>
	<?php } else { ?>
	<div class="header-sep"></div>
	<?php } ?>

	</div>

	<div id="ja-subhead" style="background: url(<?php echo $tmpTools->templateurl()."/images/headers/$ja_headerimg-bg1.jpg";?>) no-repeat bottom left;">
		<div class="innerpad">
			
			<jdoc:include type="modules" name="top" style="xhtml" />
		</div>
	</div>

</div>
<!-- END: HEADER -->

<div id="ja-container<?php echo $divid; ?>" class="clearfix">

	<!-- BEGIN: CONTENT -->

	<div id="ja-mainbody<?php echo $divid; ?>">
	<div id="ja-contentwrap">

		<div id="ja-content">

		<?php
		$spotlight = array ('user1','user2','user5');
		$topspl = $tmpTools->calSpotlight ($spotlight);
		if( $topspl ) {
		?>
		<!-- BEGIN: TOP SPOTLIGHT -->
		<div id="ja-topslwrap">
			<div id="ja-topsl" class="clearfix">

			  <?php if( $this->CountModules('user1') ) {?>
			  <div class="ja-box<?php echo $topspl['user1']['class']; ?>" style="width: <?php echo $topspl['user1']['width']; ?>;">
			   
			    <jdoc:include type="modules" name="user1" style="xhtml" />
			  </div>
			  <?php } ?>

			  <?php if( $this->CountModules('user2') ) {?>
			  <div class="ja-box<?php echo $topspl['user2']['class']; ?>" style="width: <?php echo $topspl['user2']['width']; ?>;">
			    
			    <jdoc:include type="modules" name="user2" style="xhtml" />
			  </div>
			  <?php } ?>

			  <?php if( $this->CountModules('user5') ) {?>
			  <div class="ja-box<?php echo $topspl['user5']['class']; ?>" style="width: <?php echo $topspl['user5']['width']; ?>;">
			    
			    <jdoc:include type="modules" name="user5" style="xhtml" />
			  </div>
			  <?php } ?>

			</div>
			<div class="sep"></div>
		</div>
		<!-- END: TOP SPOTLIGHT -->
		<?php } ?>

		<?php if ($option != 'com_frontpage') {?>
		<div id="ja-pathway">
			<div class="innerpad">
				<jdoc:include type="module" name="breadcrumbs" />
			</div>
		</div><div class="clr"></div>
		<?php } ?>

		<jdoc:include type="component" />

		<?php if ( $this->CountModules('banner') ) { ?>
		<div id="ja-banner">
			
			<jdoc:include type="modules" name="banner" style="raw" />
		</div>
		<?php } ?>

		</div>
	</div>
	<!-- END: CONTENT -->

	<?php if ($ja_right) { ?>
	<!-- BEGIN: RIGHT COLUMN -->
	<div id="ja-col2">
		<div class="innerpad">
		
		<jdoc:include type="modules" name="right" style="rounded" />
		</div>
	</div>
	<!-- END: RIGHT COLUMN -->
	<?php } ?>

	</div>

	<?php if ($ja_left) { ?>
	<!-- BEGIN: LEFT COLUMN -->
	<div id="ja-col1" style="background: url(<?php echo $tmpTools->templateurl()."/images/headers/$ja_headerimg-bg2-".$tmpTools->getParam(JA_TOOL_SCREEN).".jpg";?>) no-repeat top left;">
		<div class="innerpad">

		<?php if ($this->CountModules('user4')) {?>
		<div id="ja-search">
			
			<jdoc:include type="modules" name="user4" style="xhtml" />
		</div>
		<?php } ?>

		
		<jdoc:include type="modules" name="left" style="xhtml" />
		</div>
	</div>
	<br />
	<!-- END: LEFT COLUMN -->
	<?php } ?>

</div>

<!-- BEGIN: FOOTER -->
<?php if ( $this->CountModules('user3') ) { ?>
<div id="ja-botnavwrap" class="clearfix">
	<small>www.yoursite.com</small>
	<div id="ja-botnav" class="clearfix">
		
		<jdoc:include type="modules" name="user3" style="raw" />
		<ul class="accessibility">
			<li><a title="Go to Top" href="<?php echo $tmpTools->getCurrentURL();?>#Top" class="gotop-button">Top</a></li>
		</ul>
	</div>
</div>
<?php } ?>

<div id="logo-ext">
  <a href="index.php"><img src="<?php echo $tmpTools->templateurl();?>/images/logo-ext-<?php echo $tmpTools->getParam(JA_TOOL_COLOR);?>.gif" alt="<?php echo $tmpTools->sitename();?>" /></a>
</div>

<div id="ja-footer">
	<?php include_once( dirname(__FILE__).'/footer.php' ); ?>
	<div class="clr"></div>
</div>
<!-- END: FOOTER -->

</div>


<jdoc:include type="modules" name="debug" style="raw" />
</body>

</html>
